Skip to Content
veriom

List intent comparisons

GET
/v1/workspaces/{workspace_id}/architecture-intent/comparisons

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

version_id?|null
snapshot_id?|null
cursor?string|null
limit?Limit
Range1 <= value <= 100
Default25

Response Body

Successful Response

application/json
  1. response
has_more?Has More
Defaultfalse
items*array<>
next_cursor?string|null
Example Request
curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/comparisons'
Example Response
{  "has_more": false,  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "persisted": true,      "result": {        "covered_element_count": 0,        "decisions": [          {            "checks": [              {                "affected_keys": [                  "string"                ],                "collection_refs": [                  "string"                ],                "detail": "string",                "evidence_ids": [                  "973ab5a6-b373-447d-ab9d-bdb660b35afc"                ],                "outcome": "holds"              }            ],            "decision_id": "string",            "outcome": "accepted_by_design"          }        ],        "evaluated_at": "2019-08-24T14:15:22Z",        "evaluator_version": "1.0.0",        "expected_element_count": 0,        "findings": [          {            "collection_refs": [              "string"            ],            "decision_id": "string",            "detail": "string",            "drift_class": "unintended_presence",            "evidence_ids": [              "973ab5a6-b373-447d-ab9d-bdb660b35afc"            ],            "fingerprint": "string",            "first_observed_at": "2019-08-24T14:15:22Z",            "observed_at": "2019-08-24T14:15:22Z",            "plan_ids": [              "a42662e1-2be7-4ff1-add9-7e2508a85039"            ],            "retroactive": false,            "rule_id": "string",            "subject_keys": [              "string"            ],            "title": "string"          }        ],        "intent_content_sha256": "string",        "intent_coverage": 0,        "intent_version_id": "62989457-cfaa-4fbe-b5d4-02c9f2893753",        "observed_at": "2019-08-24T14:15:22Z",        "observed_element_count": 0,        "outcome": "aligned",        "satisfied_element_count": 0,        "schema_version": "intent-comparison-v1",        "scope_key": "string",        "truth_snapshot_id": "d3983c92-fcf9-4e2d-ae38-7a594c771cfa",        "uncertainty": [          {            "affected_keys": [              "string"            ],            "collection_refs": [              "string"            ],            "detail": "string",            "evidence_ids": [              "973ab5a6-b373-447d-ab9d-bdb660b35afc"            ],            "outcome": "holds"          }        ],        "unknown_element_count": 0      }    }  ],  "next_cursor": "string"}